<div class="container">
  <div class="row mb-1 p-3">
    <div class="user-avatar">
      <img
        class="img col"
        src="https://cdn-images-1.medium.com/max/1200/1*MccriYX-ciBniUzRKAUsAw.png"
      />
    </div>
    <div class="col">
      <h4 class="py-1 font-weight-bold">{{ post.title }}</h4>
      <p class="pb-2 font-weight-bold">Written by: {{ post.user }}</p>
      <div class="pt-3 font-weight-light">
        Date: {{ post.updatedAt | date: "E, dd MMM  h:mm,  y" }}
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col py-3 ml-2">
      {{ post.content }}
    </div>
  </div>

  <app-lock
    *ngIf="showLockIcon"
    (lock)="onLockPost()"
    [icon]="post.isLocked"
  ></app-lock>
  <app-flag
    *ngIf="showFlagIcon"
    [isPostFlagged]="isPostFlagged"
    (flag)="onFlagPost()"
  ></app-flag>

  <div *ngIf="post.isLocked"><br>
    Post is locked ! <i class="fas fa-key fa-lg" style="color: red"></i>
  </div>

  <div *ngIf="!post.isLocked">
    <div class="row py-2">
      <div
        *ngIf="showEditButton"
        class="col mr-auto p-2 d-flex justify-content-start"
      >
        <app-ngbd-modal-edit-component
          [id]="post.id"
          [postTitle]="this.post.title"
          [postContent]="this.post.content"
        ></app-ngbd-modal-edit-component>
        <app-delete (delete)="onDeletePost()" title="Delete"></app-delete>
      </div>
      <div
        *ngIf="showVotesIcons"
        class="col mr-auto p-2 d-flex justify-content-end"
      >
        <app-vote
          class="ml-3"
          (upvote)="onUpvotePost()"
          (downvote)="onDownvotePost()"
          [isLikeIconDisabled]="isLikeIconDisabled"
          [isDislikeIconDisabled]="isDislikeIconDisabled"
          [likesNum]="post.likedBy"
          [dislikesNum]="post.dislikedBy"
        ></app-vote>
      </div>
    </div>
  </div>
</div>
